千问图像 2.0 生成
curl --request POST \
--url https://api.sinancode.com/v1/generate/bailian/qwen-image-2.0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"images": [
"<string>"
],
"prompt": "<string>",
"n": 3,
"negative_prompt": "<string>",
"prompt_extend": true,
"seed": 1073741823,
"size": "<string>"
}
'import requests
url = "https://api.sinancode.com/v1/generate/bailian/qwen-image-2.0"
payload = {
"images": ["<string>"],
"prompt": "<string>",
"n": 3,
"negative_prompt": "<string>",
"prompt_extend": True,
"seed": 1073741823,
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
images: ['<string>'],
prompt: '<string>',
n: 3,
negative_prompt: '<string>',
prompt_extend: true,
seed: 1073741823,
size: '<string>'
})
};
fetch('https://api.sinancode.com/v1/generate/bailian/qwen-image-2.0', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}图片生成 - 千问
千问图像 2.0
千问图像 2.0 加速版,支持文生图和图片编辑,支持自由分辨率和多图输出(1-6张)。
POST
/
generate
/
bailian
/
qwen-image-2.0
千问图像 2.0 生成
使用阿里云千问图像 2.0 加速版模型生成图片。
模型特点:
- 自由分辨率 - 支持自由宽高,总像素在 512x512 至 2048x2048 之间
- 多图输出 - 单次请求可生成 1-6 张图片
- 文生图与图片编辑 - 同时支持文生图和图片编辑两种模式
授权
请使用您的 API Token 进行认证
请求体
application/json
任务参数
输入图片列表(可选,0-3张图片,用于图片编辑模式) 不传则为文生图模式,传入则为图片编辑模式
Maximum array length:
3正向提示词(必填,最大 800 字符)
Required string length:
1 - 800输出图像数量(可选,1-6,默认 1)
必填范围:
1 <= x <= 6负向提示词(可选,最大 500 字符)
Maximum string length:
500启用提示词智能改写(可选,默认 true)
随机种子(可选,范围 0-2147483647)
必填范围:
0 <= x <= 2147483647图片尺寸(可选,默认 20482048) qwen-image-2.0 支持自由宽高,总像素在 512512 至 20482048 之间 推荐分辨率:26881536(16:9) 15362688(9:16) 20482048(1:1) 23681728(4:3) 17282368(3:4)
响应
OK
Task ID
示例:
"01234567-89ab-cdef-0123-456789abcdef"
⌘I